title: Let's build a web that is privacy friendly and fair
description: What does the term 'privacy friendly' actually stand for? Mostly it's just about technical issues that don't tackle the underlying problem.
date: 2020-07-06
slug: privacy-friendly-and-fair-web
sitemap_priority: 0.7
image_url: /theme/images/offen-blog-0080-beta.jpg
author: Hendrik Niefeld
bottom_cta: blog

# Let's build a web that is privacy friendly and fair

Terms such as 'privacy protection', 'privacy-first', 'privacy-focused' or 'privacy friendly' have been a major talking point for quite some time now.  
The field of web analytics is no exception. Here these terms are used to describe *alternative, privacy-oriented approaches* and appear regularly in blog posts, readme files and tweets. Projects like Matomo, Simple Analytics, Plausible or GoatCounter use them very gladly and in large letters.

But what do these 'privacy' terms actually stand for? What associations do they trigger in operators who have a legitimate interest in knowing how their web applications are used?

It often seems that developers of analytics tools only really want to communicate technical peculiarities with them. There is the 'we do not use cookies' approach and the 'essential cookies only' solution. Sometimes authors use these terms to summarize statements such as 'we're not selling your data' or 'this is GDPR compliant'.

However, operators are given the impression that installing the respective software does something really great for their users. Whether it is that annoying banners are waived or that data will not be disclosed to third parties. And by the way, the 'GDPR problem' is also solved and there is no need to worry about legal action. What more could you want?

We as Offen are convinced that all these 'privacy friendly' approaches are an improvement, but they are still not enough to create a web that is significantly better. For this, most of these solutions simply *lack the necessary degree of fairness.*

Users continue to be unaware what kind of data is collected and how it is being used. They still cannot access or delete it. This leaves them in the dark about their situation and does not help to reduce the latent distrust against web operators. A problem that GDPR also addresses explicitly under the headline 'Rights of the data subject'.

This is why we develop a fair and open web analytics tool that finally treats *operators and users as equal parties.*  
Usage data is only collected after opt in. If users choose to opt in, they have full access to their data and can also delete it. The collected data is presented to the user with explanations that describe why a particular metric is relevant and what the privacy implications are.  
At the same time essential metrics give operators the chance to gain valuable insights. They can improve their services without violating the privacy of their users.

By the way, Offen is in beta phase now. [Please take a look and give it a try.](/try-demo/)

We believe it is time to go one step further. This is how we want to support a web that is *privacy friendly and fair at last.* Are you as enthusiastic about it as we are?  
Drop us a [tweet](https://twitter.com/hioffen){: target="_blank"} or [email](mailto:hioffen@posteo.de){: target="_blank"} and feel invited to work together to drive this idea forward.
